std::_Node_handle< _Value, _Value, _NodeAlloc > Class Template Reference
Inheritance diagram for std::_Node_handle< _Value, _Value, _NodeAlloc >:
[legend]

## Public Types

using | allocator_type = __alloc_rebind< _NodeAlloc, _Value >
using | value_type = _Value

## Public Member Functions

| _Node_handle (_Node_handle &&) noexcept=default
bool | empty () const noexcept
allocator_type | get_allocator () const noexcept
| operator bool () const noexcept
_Node_handle & | operator= (_Node_handle &&) noexcept=default
void | swap (_Node_handle &__nh) noexcept
value_type & | value () const noexcept

## Friends

template<typename _Key2 , typename _Value2 , typename _ValueAlloc , typename _ExtractKey , typename _Equal , typename _Hash , typename _RangeHash , typename _Unused , typename _RehashPolicy , typename _Traits >
class | _Hashtable
template<typename _Key , typename _Val , typename _KeyOfValue , typename _Compare , typename _Alloc >
class | _Rb_tree
void | swap (_Node_handle &__x, _Node_handle &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

### template<typename _Value, typename _NodeAlloc>
class std::_Node_handle< _Value, _Value, _NodeAlloc >

Node handle type for sets.

Definition at line 329 of file node_handle.h.

The documentation for this class was generated from the following file:

- node_handle.h